%global modname datanommer.commands

Name:           datanommer-commands
Version:        0.7.0
Release:        1%{?dist}
Summary:        Console commands for datanommer

Group:          Development/Libraries
License:        GPLv3+
URL:            https://pypi.io/project/%{modname}
Source0:        https://pypi.io/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-freezegun

BuildRequires:  python-datanommer-models >= 0.4.1
BuildRequires:  python-fedmsg-meta-fedora-infrastructure
BuildRequires:  fedmsg

Requires:       python-datanommer-models >= 0.4.1
Requires:       python-fedmsg-meta-fedora-infrastructure
Requires:       fedmsg

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:    python-sqlalchemy0.7
Requires:         python-sqlalchemy0.7
%else
BuildRequires:    python-sqlalchemy >= 0.7
Requires:         python-sqlalchemy >= 0.7
%endif

%description
Console commands for datanommer.

%prep
%setup -q -n %{modname}-%{version}

# Make sure that epel/rhel picks up the correct version of sqlalchemy
%{__awk} 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
%{__mv} setup.py.tmp setup.py

# Remove upstream egg-info so that it gets rebuilt.
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%if 0%{?rhel} && 0%{?rhel} <= 6
# No tests for epel... :/
%else
PYTHONPATH=$(pwd) nosetests
%endif

%files
%doc README.rst LICENSE
%{python_sitelib}/datanommer/commands/
%{python_sitelib}/%{modname}-%{version}*

%{_bindir}/datanommer-create-db
%{_bindir}/datanommer-latest
%{_bindir}/datanommer-stats
%{_bindir}/datanommer-dump

%changelog
* Fri Mar 03 2017 Ralph Bean <rbean@redhat.com> - 0.7.0-1
- new version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 Ralph Bean <rbean@redhat.com> - 0.4.6-4
- Fix rhel conditionals again.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 16 2014 Ralph Bean <rbean@redhat.com> - 0.4.6-2
- Fix rhel conditionals.

* Mon Jun 09 2014 Ralph Bean <rbean@redhat.com> - 0.4.6-1
- Latest upstream.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Ralph Bean <rbean@redhat.com> - 0.4.5-1
- Fixes to unit tests for new fedmsg.
- Update links to upstream source.

* Mon Apr 22 2013 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- More random bugfixes.

* Thu Feb 14 2013 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Latest upstream with a bugfix to datanommer-latest.

* Thu Feb 07 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-1
- Latest upstream from Jessica Anderson.
- Various enhancements and bugfixes.
- New datanommer-latest command.
- Tests now require python-mock.
- New dep on fedmsg.meta Fedora Infrastructure plugin.

* Mon Oct 22 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-4
- Remove explicit versioned Conflicts with old datanommer.

* Fri Oct 12 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-3
- Remove unnecessary CFLAGS definition.

* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-2
- Remove upstream egg-info so that its gets rebuilt.

* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Initial split out from the main datanommer package.
